HP Printer driver on Suse 11

Just installed the retail version of Open suse 11. :frowning:
Couldnt find drivers for my printer HP Laserjet P3005dn.
The former version Opensuse 10.3 do have a driver.
How can I get the printer running, means where do I get drivers for it?:confused:
cu,
Axel

Axel,

according to
http://hplip.sourceforge.net/models/laserjet/hp_laserjet_p3005.html
it should work with HPlip

Uwe

install hplip & hpijs from the install media

Andy

Be aware that if you install the updated version 2.8.6 off hplip and hplip-hpijs all seems to be wel hplip keeps seeing your printer as long as you dont reboot.

Problem: hplip/hpijs 2.8.6 rpm’s from the download.opensuse.org/repositories/home:/anubisg1
This deletes the drivers from 2.8.4 and only the new drivers are installed.

Solution: backup /usr/share/cups/model/manutacturer-PPDs/hplip
Install hplip 2.8.6 rpms
goto backup hplip
open it cp * /usr/share/cups/model/manutacturer-PPDs/hplip
then in usr/lib64/cups/filter rename foomatic-rip to foomatic-rip-hplib

now run hp-setup and your printer should work

Please help, can any one able to install HP Printer drivers for SUSE 11.0?

I had hard time finding drivers for this version, Currently the HP site is providing drivers for 11.3 and 11.4.

Thanks in Advance!

Am 04.01.2012 17:26, schrieb kanalas:
>
> Please help, can any one able to install HP Printer drivers for SUSE
> 11.0?
>
> I had hard time finding drivers for this version, Currently the HP site
> is providing drivers for 11.3 and 11.4.
>
> Thanks in Advance!
>
>
openSUSE 11.0 is end of life since July 26th, 2010, so you will not find
much support for it.

If you are using the enterprise version, look at the out put from


cat /etc/SuSE-release

you should contact the SLES/SLED forums.
http://forums.novell.com/suse/suse-product-discussion-forums/suse-linux-enterprise/
If it is really an old openSUSE I would upgrade if I were you.

–
PC: oS 11.4 (dual boot 12.1) 64 bit | Intel Core i7-2600@3.40GHz | KDE
4.6.0 | GeForce GT 420 | 16GB Ram
Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.7.4 |
nVidia ION | 3GB Ram